<?php
	$gender = GENDER_FEMALE;
	$is_agency = null;
	$is_tour = null;
	$is_upcoming = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown
	if ( is_array($this->params['filter']) ) {
		foreach ($this->params['filter'] as $v) {
			// Get gender
			if ( array_search('boys', $v, true) ) {
				$gender = GENDER_MALE;
			}
			elseif ( array_search('trans', $v, true) ) {
				$gender = GENDER_TRANS;
			}

			// Get dependentness of escort
			if ( array_search('agence', $v, true) ) {
				$is_agency = true;
			}
			elseif ( array_search('independantes', $v, true) ) {
				$is_agency = false;
			}

			if ( array_search('tours', $v, true) ) {
				$gender = null;
				$is_tour = true;
				$is_upcoming = false;
			}
			elseif ( array_search('upcomingtours', $v, true) ) {
				$gender = null;
				$is_tour = false;
				$is_upcoming = true;
			}
		}
	}

	$cities = Model_Statistics::getCities(null, $gender, $is_agency, $is_tour, $is_upcoming);
	$cities = array_slice($cities, 0, 4);


	$country_iso = Cubix_Application::getById()->iso;
?>

<?php if ( count($cities) > 0 ): ?>
<div class="most-cities">
	<span class="label bold"><?= $this->t('most_popular_cities') ?>:</span>

	<?php foreach ($cities as $i => $city): ?>
		<a href="<?= $this->getLink('escorts', array('city' => $country_iso . '_' . $city->city_slug, 'region' => null, 'zone' => null, 'filter' => null, 'page' => null)) ?>" title="<?= $this->t('escorts_in_city', array('CITY' => $city->region_title . '/' . $city->city_title)) ?>">
			<span><?= $city->city_title ?></span>
			(<?= $city->escort_count ?>)
		</a>
	<?php endforeach;?>
</div>
<? endif; ?>